Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Support #1009

Wrong endurance of Song
July 12, 2020 08:32 - Manuel GrieBmayr

Status: Closed Start date: July 12, 2020
Priority: Minor Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Affects version: 4.0.4

Description

Play the attached mp3 file and watch it. The endurance of the song is calculated wrong and the seeking slider doesn't reach it's end.
Instead of 1:19 the song should only be 37 seconds long. | also tested with VLC and here it works fine.

History

#1 - July 13, 2020 02:05 - John Lindgren
- Status changed from New to Closed

- Tracker changed from Bug to Support

Hi, thanks for letting us know, but we are aware of this issue already. The MP3 format makes it difficult to accurately compute the length without
decoding the whole file. You can refer to the list of common problems here for how to change the setting to decode the file completely and display
the correct length. Doing so will slow down Audacious; that is why the setting is not enabled by default.

! https://audacious-media-player.org/problems

#2 - July 13, 2020 21:30 - Manuel GrieBmayr

What about making this option the default? The current default behavior is quite confusing and not always correct. Users which prefer speed over
correctnes should then check the box in the plugin settings.

Files

test.mp3 3.05 MB July 12, 2020 Manuel GrieBmayr
